aboutsummaryrefslogtreecommitdiff
path: root/test/hugo
diff options
context:
space:
mode:
Diffstat (limited to 'test/hugo')
-rw-r--r--test/hugo/install_hugo_extended.sh12
-rw-r--r--test/hugo/scenarios.json11
2 files changed, 23 insertions, 0 deletions
diff --git a/test/hugo/install_hugo_extended.sh b/test/hugo/install_hugo_extended.sh
new file mode 100644
index 0000000..4771d84
--- /dev/null
+++ b/test/hugo/install_hugo_extended.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Ensure extended version is installed
+check "extended_installed" bash -c "hugo version | grep extended"
+
+# Report result
+reportResults
diff --git a/test/hugo/scenarios.json b/test/hugo/scenarios.json
new file mode 100644
index 0000000..4c093df
--- /dev/null
+++ b/test/hugo/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_hugo_extended": {
+ "image": "mcr.microsoft.com/devcontainers/base",
+ "features": {
+ "hugo": {
+ "version": "latest",
+ "extended": true
+ }
+ }
+ }
+} \ No newline at end of file